SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
SLNet::AddressOrGUID Struct Reference

`#include <slikenet/types.h>`

## Public Member Functions

SystemIndex | GetSystemIndex (void) const
bool | IsUndefined (void) const
void | SetUndefined (void)
const char * | ToString (bool writePort=true) const
void | ToString (bool writePort, char *dest) const
void | ToString (bool writePort, char *dest, size_t destLength) const
| AddressOrGUID ()
| AddressOrGUID (const AddressOrGUID &input)
| AddressOrGUID (const SystemAddress &input)
| AddressOrGUID (Packet *packet)
| AddressOrGUID (const RakNetGUID &input)
AddressOrGUID & | operator= (const AddressOrGUID &input)
AddressOrGUID & | operator= (const SystemAddress &input)
AddressOrGUID & | operator= (const RakNetGUID &input)
bool | operator== (const AddressOrGUID &right) const

## Static Public Member Functions

static unsigned long | ToInteger (const AddressOrGUID &aog)

## Public Attributes

RakNetGUID | rakNetGuid
SystemAddress | systemAddress

## Detailed Description

Definition at line 377 of file types.h.

## Constructor & Destructor Documentation

SLNet::AddressOrGUID::AddressOrGUID | ( |  | ) |

inline

Definition at line 390 of file types.h.

SLNet::AddressOrGUID::AddressOrGUID | ( | const AddressOrGUID & | input | ) |

inline

Definition at line 391 of file types.h.

References rakNetGuid, and systemAddress.

SLNet::AddressOrGUID::AddressOrGUID | ( | const SystemAddress & | input | ) |

inline

Definition at line 396 of file types.h.

References SLNet::UNASSIGNED_RAKNET_GUID().

AddressOrGUID::AddressOrGUID | ( | Packet * | packet | ) |

Definition at line 55 of file RakNetTypes.cpp.

References SLNet::Packet::guid, rakNetGuid, systemAddress, and SLNet::Packet::systemAddress.

SLNet::AddressOrGUID::AddressOrGUID | ( | const RakNetGUID & | input | ) |

inline

Definition at line 402 of file types.h.

References SLNet::UNASSIGNED_SYSTEM_ADDRESS.

## Member Function Documentation

SystemIndex SLNet::AddressOrGUID::GetSystemIndex | ( | void |  | ) | const

inline

Definition at line 382 of file types.h.

References SLNet::UNASSIGNED_RAKNET_GUID().

bool SLNet::AddressOrGUID::IsUndefined | ( | void |  | ) | const

inline

Definition at line 383 of file types.h.

References SLNet::UNASSIGNED_RAKNET_GUID(), and SLNet::UNASSIGNED_SYSTEM_ADDRESS.

Referenced by SLNet::RakPeer::CloseConnectionInternal(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::Send(), and SLNet::RakPeer::SendList().

AddressOrGUID& SLNet::AddressOrGUID::operator= | ( | const AddressOrGUID & | input | ) |

inline

Definition at line 407 of file types.h.

References rakNetGuid, and systemAddress.

AddressOrGUID& SLNet::AddressOrGUID::operator= | ( | const SystemAddress & | input | ) |

inline

Definition at line 414 of file types.h.

References SLNet::UNASSIGNED_RAKNET_GUID().

AddressOrGUID& SLNet::AddressOrGUID::operator= | ( | const RakNetGUID & | input | ) |

inline

Definition at line 421 of file types.h.

References SLNet::UNASSIGNED_SYSTEM_ADDRESS.

bool SLNet::AddressOrGUID::operator== | ( | const AddressOrGUID & | right | ) | const

inline

Definition at line 428 of file types.h.

References rakNetGuid, systemAddress, SLNet::UNASSIGNED_RAKNET_GUID(), and SLNet::UNASSIGNED_SYSTEM_ADDRESS.

void SLNet::AddressOrGUID::SetUndefined | ( | void |  | ) |

inline

Definition at line 384 of file types.h.

References SLNet::UNASSIGNED_RAKNET_GUID(), and SLNet::UNASSIGNED_SYSTEM_ADDRESS.

unsigned long AddressOrGUID::ToInteger | ( | const AddressOrGUID & | aog | ) |

static

Definition at line 61 of file RakNetTypes.cpp.

References rakNetGuid, systemAddress, SLNet::SystemAddress::ToInteger(), SLNet::RakNetGUID::ToUint32(), and SLNet::UNASSIGNED_RAKNET_GUID().

const char * AddressOrGUID::ToString | ( | bool | writePort = `true` | ) | const

Definition at line 67 of file RakNetTypes.cpp.

References rakNetGuid, systemAddress, SLNet::SystemAddress::ToString(), SLNet::RakNetGUID::ToString(), and SLNet::UNASSIGNED_RAKNET_GUID().

void AddressOrGUID::ToString | ( | bool | writePort,
|  | char * | dest
| ) |  | const

Definition at line 73 of file RakNetTypes.cpp.

References rakNetGuid, systemAddress, SLNet::SystemAddress::ToString(), SLNet::RakNetGUID::ToString(), and SLNet::UNASSIGNED_RAKNET_GUID().

void AddressOrGUID::ToString | ( | bool | writePort,
|  | char * | dest,
|  | size_t | destLength
| ) |  | const

Definition at line 79 of file RakNetTypes.cpp.

References rakNetGuid, systemAddress, SLNet::SystemAddress::ToString(), SLNet::RakNetGUID::ToString(), and SLNet::UNASSIGNED_RAKNET_GUID().

## Member Data Documentation

RakNetGUID SLNet::AddressOrGUID::rakNetGuid

Definition at line 379 of file types.h.

Referenced by AddressOrGUID(), SLNet::RakPeer::ChangeSystemAddress(), SLNet::RakPeer::CloseConnection(), SLNet::RakPeer::CloseConnectionInternal(), SLNet::RakPeer::GetConnectionState(), SLNet::RakPeer::GetRemoteSystem(), SLNet::RakPeer::IsLoopbackAddress(), operator=(), operator==(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendImmediate(), SLNet::PluginInterface2::SendListUnified(), SLNet::PluginInterface2::SendUnified(), ToInteger(), and ToString().

SystemAddress SLNet::AddressOrGUID::systemAddress

Definition at line 380 of file types.h.

Referenced by AddressOrGUID(), SLNet::RakPeer::ChangeSystemAddress(), SLNet::RakPeer::CloseConnection(), SLNet::RakPeer::CloseConnectionInternal(), SLNet::RakPeer::GetConnectionState(), SLNet::RakPeer::GetRemoteSystem(), SLNet::RakPeer::IsLoopbackAddress(), operator=(), operator==(), SLNet::RakPeer::RunUpdateCycle(), SLNet::RakPeer::SendImmediate(), SLNet::PluginInterface2::SendListUnified(), SLNet::PluginInterface2::SendUnified(), ToInteger(), and ToString().

The documentation for this struct was generated from the following files:

- Source/include/slikenet/types.h
- Source/src/RakNetTypes.cpp